Skip to main content
GET
/
v1
/
agents
/
{agent_id}
/
runs
Get agent runs
curl --request GET \
  --url https://api.gigabrain.gg/v1/agents/{agent_id}/runs \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "agent_id": "<string>",
    "trigger_type": "scheduled",
    "status": "<string>",
    "title": "<string>",
    "summary": "<string>",
    "reasoning": "<string>",
    "action_taken": true,
    "error": "<string>",
    "started_at": "<string>",
    "finished_at": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Your Gigabrain API key. Get one at https://gigabrain.gg/profile?tab=api. Format: gb_sk_...

Path Parameters

agent_id
string<uuid>
required

The agent's unique identifier

Query Parameters

limit
integer
default:50

Number of runs to return

Response

Run history

id
string
agent_id
string
trigger_type
enum<string> | null
Available options:
scheduled,
alpha,
manual
status
string
title
string | null
summary
string | null
reasoning
string | null
action_taken
boolean | null

Whether the agent executed a trade during this run

error
string | null
started_at
string | null
finished_at
string | null